Bug 652930 - b43.ko disables bluetooth on hp mini 210
Summary: b43.ko disables bluetooth on hp mini 210
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 14
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-13 15:25 UTC by Luca Giuzzi
Modified: 2012-08-16 18:43 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 18:43:44 UTC
Type: ---


Attachments (Terms of Use)
lspci (25.67 KB, application/octet-stream)
2010-11-13 15:25 UTC, Luca Giuzzi
no flags Details
lsusb (37.14 KB, application/octet-stream)
2010-11-13 15:26 UTC, Luca Giuzzi
no flags Details
output of rfkill list after b43.ko has been loaded (237 bytes, text/plain)
2010-11-15 18:19 UTC, Luca Giuzzi
no flags Details
output of rfkill list when wl.ko is loaded (179 bytes, text/plain)
2010-11-15 18:21 UTC, Luca Giuzzi
no flags Details
output of rfkill list without any wireless module loaded (55 bytes, text/plain)
2010-11-15 18:23 UTC, Luca Giuzzi
no flags Details

Description Luca Giuzzi 2010-11-13 15:25:38 UTC
Created attachment 460247 [details]
lspci

Description of problem:
  b43.ko disables bluetooth on hp mini 210


Version-Release number of selected component (if applicable):
 all

How reproducible:
 load the b43.ko module

Steps to Reproduce:
1. /sbin/insmod b43.ko
2. /usr/sbin/hciconfig hci0 up
3. hcitool scan
  
Actual results:
 the bluetooth radio is off

Expected results:
 the bluetooth radio should be on and should identify a
 nearby device

Additional info:
 the closed source driver wl.ko works properly

Comment 1 Luca Giuzzi 2010-11-13 15:26:14 UTC
Created attachment 460248 [details]
lsusb

Comment 2 John W. Linville 2010-11-15 15:05:41 UTC
Please post the output of running "rfkill list" both before and after loading b43.ko.

Comment 3 Luca Giuzzi 2010-11-15 18:19:45 UTC
Created attachment 460598 [details]
output of rfkill list after b43.ko has been loaded

Comment 4 Luca Giuzzi 2010-11-15 18:21:36 UTC
Created attachment 460599 [details]
output of rfkill list when wl.ko is loaded

Comment 5 Luca Giuzzi 2010-11-15 18:23:32 UTC
Created attachment 460600 [details]
output of rfkill list without any wireless module loaded

The only modules loaded here are
btusb
bluetooth
rfkill
i915
drm_kms_helper
drm
i2c_algo_bit
i2c_core
video
output

... bluetooth with this configuration works

Comment 6 Josh Boyer 2011-08-24 16:05:57 UTC
Is this still an issue with a recent f14 or f15 kernel?

Comment 7 Luca Giuzzi 2011-09-09 09:45:59 UTC
Yes: at least I am still having the same problem with the latest f14 kernel.

Comment 8 Fedora End Of Life 2012-08-16 18:43:47 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.